=== debian/control ===
Source: ros-melodic-clover-blocks
Section: misc
Priority: optional
Maintainer: Oleg Kalachev <okalachev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-clover-blocks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-rospy
Description: Blockly programming support for Clover
